     	var divRoot;// = document.getElementById('codingmap');
     	var scaleratio = 1;
     	var originX;
     	var originY;
		var cindex=0;

		var anchorMatrix= [{row:5, column:6}];

		var buffer = new ArrayBuffer(4*anchorMatrix[0].row*anchorMatrix[0].column + 4*2);
		var commandset = new Uint8Array(buffer);

     	//var nodes;// = new Array();
        var anchorPoints = [
	{x:81, y:57},{x:213, y:57},{x:343, y:57},{x:469, y:57},{x:591, y:57},{x:710, y:57},
	{x:81, y:183},{x:213, y:183},{x:343, y:183},{x:469, y:183},{x:591, y:183},{x:710, y:183},
	{x:81, y:306},{x:213, y:306},{x:343, y:306},{x:469, y:306},{x:591, y:306},{x:710, y:306},
	{x:81, y:430},{x:213, y:430},{x:343, y:430},{x:469, y:430},{x:591, y:430},{x:710, y:430},
	{x:81, y:553},{x:213, y:553},{x:343, y:553},{x:469, y:553},{x:591, y:553},{x:710, y:553}];

		var barlist = new Array(anchorPoints.length); //Column bar length list
								   
						   
        function getBrotherElement(el, strID )
	    {
	        //classie.remove(clone, 'resize-element');
	        var children = el.parentNode.childNodes;
	        var child, leftEdge, rightEdge, columnEl;

	        for(child in children){
	            var childnode = children[child];
	            var childid = childnode.id;

	            if(childid == strID ) // || childid == 'edge2') 
	            {
	                //console.log( 'getelement function : ' + childnode );                
	                return childnode;
	            }            
	        }   
	    }

        function makeJson() {

	        var len = anchorPoints.length;
			cindex = 0;
			
			var nodelist = new Array(anchorMatrix[0].row); // 매개변수는 배열의 크기
			for (var i = 0; i < anchorMatrix[0].row; i++) {
				nodelist[i] = new Array(anchorMatrix[0].column); // 매개변수는 배열의 크기
			}			
			
			
			for(var i=0;i<anchorMatrix[0].row;i++){
				for(var j=0;j<anchorMatrix[0].column;j++){
					var ad = document.getElementById('Anchor'+(i*6+j));
					nodelist[i][j]=ad.getAttribute('FIcon');
				}
				console.log("0: "+nodelist[i][0]+" 1:"+nodelist[i][1]+" 2:"+nodelist[i][2]+" 3:"+nodelist[i][3]+" 4:"+nodelist[i][4]+" 5:"+nodelist[i][5]);
			}
			
			commandset[cindex++]=0xF8;
			commandset[cindex++]=0xF8;
			commandset[cindex++]=0xF8;
			commandset[cindex++]=0xF8;
			
			for(var i=0;i<anchorMatrix[0].row;i++){
				for(var j=0;j<anchorMatrix[0].column;j++){
					if(nodelist[i][j]){
						commandset[cindex++]=0xF7;
						commandset[cindex++]=j;
						commandset[cindex++]=i;
						commandset[cindex++] = makeCommand(nodelist[i][j]);
					}
					/* No code at this point
					else{ //null point
						commandset[cindex++]=0xF7;
						commandset[cindex++]=j;
						commandset[cindex++]=i;
						commandset[cindex++]=0x70;
					}
					*/
				}
			}
			
			commandset[cindex++]=0xF9;
			commandset[cindex++]=0xF9;
			commandset[cindex++]=0xF9;
			commandset[cindex++]=0xF9;
			
			console.log("LEN"+commandset.length);
        }

		function makeCommand(a){
			var aaa=a.substr(0,5);
			console.log(aaa);
			switch(aaa){
				case "robot": return 0x01;
				case "step1": return 0x11;
				case "step2": return 0x12;
				case "step3": return 0x13;
				case "step4": return 0x14;
				case "step5": return 0x21;
				case "step6": return 0x22;
				case "step7": return 0x23;
				case "step8": return 0x24;
				case "node1": return 0x31;
				case "node2": return 0x41;
				case "prin1": return 0x51;
				case "prin2": return 0x52;
				case "prin3": return 0x53;
			};
		}
		
	    function placeMoverAnchor() {
	        while (divRoot.firstChild) {
    			divRoot.removeChild(divRoot.firstChild);
			}

	        var len = anchorPoints.length;
	        for(var i = 0; i < len; i++) {
	            var newdiv = document.createElement('div');
	            var divIdName = 'Anchor'+i; //clone.style["z-index"]

	            newdiv.setAttribute('id',divIdName);
	            newdiv.setAttribute('class','edgeanchor');
	            newdiv.style.position = "absolute";
	            
	            var offset = 25;

	            newdiv.style.left = (originX - offset + anchorPoints[i].x * scaleratio) + 'px';
	            newdiv.style.top = (originY - offset + anchorPoints[i].y * scaleratio) + 'px';
	            
	            newdiv.style['transform-origin'] = 'center center';
	            newdiv.style.webkitTransform =
        		newdiv.style.transform =
          		'scale(' + scaleratio + ')';

	            divRoot.appendChild(newdiv);
				
				//console.log("place OK");
	        }
	    }

    	var addEvent = function(object, type, callback) {
		    if (object == null || typeof(object) == 'undefined') return;
		    if (object.addEventListener) {
		        object.addEventListener(type, callback, false);
		    } else if (object.attachEvent) {
		        object.attachEvent("on" + type, callback);
		    } else {
		        object["on"+type] = callback;
		    }
		};


    	$(window).load(function(){	

			$("#play").click(function(){
    			makeJson();    			
			});

		       		
    		divRoot = document.getElementById('codingmap');

    		var rects = divRoot.getClientRects();

			var rect = rects[0];

			//window.pageXOffset || docElem.scrollLeft;

		    var scrollTop = document.documentElement.scrollTop || window.pageYOffset;
	        var scrollLeft = document.documentElement.scrollLeft || window.pageXOffset;
	        var x = rect.left + scrollLeft;
	        var y = rect.top + scrollTop;

			originX=parseInt(x);
			originY=parseInt(y);

			placeMoverAnchor();
		});

		